2017-05-26 10:56 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000142QMC2Feature requestpublic2017-02-25 03:44
Reporterrreucher 
Assigned Torreucher 
PriorityhighSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version0.183 
Target VersionFixed in Version 
Summary0000142: ROMAlyzer / Collection Rebuilder: Support ROM dumps that are larger than 2GB individually
DescriptionQMC2's ROMAlyzer / Collection Rebuilder does not support individual dumps that are larger than 2GB (example: hapyfsh2). It will crash due to a QByteArray limitation.

We'd need to use QList<QByteArray> everywhere instead of a simple QByteArray, but that's a rather big change, so it's postponed for after the next release (at least).
TagsNo tags attached.
Arcade ThemeN/A
Attached Files

-Relationships
+Relationships

-Notes

~0000446

rreucher (administrator)

Last edited: 2017-02-24 14:21

View 4 revisions

This has been addressed meanwhile by adding a new class called BigByteArray which manages a QList<QByteArray> (a list of byte-arrays) in 1 GB chunks and abstracts the access to its data in a QByteArray-like way, so porting the relevant code in the collection rebuilder was easy in the end.

This is in SVN r7974.

I still need to run more tests (don't trust it 100% yet, although hapyfsh2 rebuilds cleanly now, so it looks like it works fine), and chances are I'll also port the legacy "set rewriter" to it. So I'm not gonna resolve the issue yet.

~0000447

rreucher (administrator)

Last edited: 2017-02-25 03:44

View 3 revisions

Porting the legacy parts of the ROMAlyzer to it (that is, the so called "set rewriter" functionality) is actually much more of a PITA than the newer Collection Rebuilder was. So I've decided to leave it as it is.

I may even remove the old code completely at some point. It's not as nicely designed & programmed as the Collection Rebuilder. So it's probably not worthwhile porting it anyway.

I've also tested the new code thoroughly now without any issues.

+Notes

-Issue History
Date Modified Username Field Change
2017-02-19 10:49 rreucher New Issue
2017-02-19 10:49 rreucher Status new => assigned
2017-02-19 10:49 rreucher Assigned To => rreucher
2017-02-24 14:20 rreucher Note Added: 0000446
2017-02-24 14:20 rreucher Note Edited: 0000446 View Revisions
2017-02-24 14:21 rreucher Note Edited: 0000446 View Revisions
2017-02-24 14:21 rreucher Note Edited: 0000446 View Revisions
2017-02-24 14:24 rreucher Description Updated View Revisions
2017-02-25 03:41 rreucher Status assigned => resolved
2017-02-25 03:41 rreucher Resolution open => fixed
2017-02-25 03:41 rreucher Fixed in Version => 0.184
2017-02-25 03:41 rreucher Note Added: 0000447
2017-02-25 03:43 rreucher Note Edited: 0000447 View Revisions
2017-02-25 03:44 rreucher Note Edited: 0000447 View Revisions
+Issue History